Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class FileResourceWrapper

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.BaseDTO
          com.jaspersoft.jasperserver.war.dto.FileResourceWrapper

All Implemented Interfaces:
  java.io.Serializable

    public class FileResourceWrapper

extends BaseDTO
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`MODE_STAND_ALONE_EDIT, MODE_STAND_ALONE_NEW, MODE_SUB_FLOW_EDIT, MODE_SUB_FLOW_NEW`

Constructor Summary
`FileResourceWrapper()`

Method Summary
`void` | `afterBind()`
`java.util.List` | `getAllFolders()`
`java.util.List` | `getAllResources()`
`java.util.Map` | `getAllTypes()`
`java.util.List` | `getExistingResources()`
`java.lang.String` | `getFileName()`
`FileResource` | `getFileResource()`
`java.lang.String` | `getFolder()`
`byte[]` | `getNewData()`
`java.lang.String` | `getNewUri()`
`java.lang.Object` | `getParentFlowObject()`
`Resource` | `getResource()`
`java.lang.String` | `getSource()`
`static java.lang.String` | `getTypeForExtention(java.lang.String extension)`
`boolean` | `isLocated()`
`boolean` | `isSuggested()`
`void` | `setAllFolders(java.util.List allFolders)`
`void` | `setAllResources(java.util.List allResources)`
`void` | `setAllTypes(java.util.Map allTypes)`
`void` | `setExistingResources(java.util.List existingResources)`
`void` | `setFileName(java.lang.String fileName)`
`void` | `setFileResource(FileResource fileResource)`
`void` | `setFolder(java.lang.String folder)`
`void` | `setLocated(boolean located)`
`void` | `setNewData(byte[] newData)`
`void` | `setNewUri(java.lang.String newUri)`
`void` | `setParentFlowObject(java.lang.Object parentFlowObject)`
`void` | `setResource(Resource resource)`
`void` | `setSource(java.lang.String source)`
`void` | `setSuggested(boolean suggested)`

Methods inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`getMode, isAloneEditMode, isAloneNewMode, isEditMode, isNewMode, isStandAloneMode, isSubEditMode, isSubflowMode, isSubNewMode, setMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileResourceWrapper

    public FileResourceWrapper()

Method Detail

### isLocated

    public boolean isLocated()

### setLocated

    public void setLocated(boolean located)

### getParentFlowObject

    public java.lang.Object getParentFlowObject()

### setParentFlowObject

    public void setParentFlowObject(java.lang.Object parentFlowObject)

### getFileName

    public java.lang.String getFileName()

### setFileName

    public void setFileName(java.lang.String fileName)

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String source)

### getAllResources

    public java.util.List getAllResources()

### setAllResources

    public void setAllResources(java.util.List allResources)

### isSuggested

    public boolean isSuggested()

### setSuggested

    public void setSuggested(boolean suggested)

### getAllTypes

    public java.util.Map getAllTypes()

### setAllTypes

    public void setAllTypes(java.util.Map allTypes)

### getFileResource

    public FileResource getFileResource()

### setFileResource

    public void setFileResource(FileResource fileResource)

### afterBind

    public void afterBind()

### getTypeForExtention

    public static java.lang.String getTypeForExtention(java.lang.String extension)

### getNewData

    public byte[] getNewData()

### setNewData

    public void setNewData(byte[] newData)

### getNewUri

    public java.lang.String getNewUri()

### setNewUri

    public void setNewUri(java.lang.String newUri)

### getResource

    public Resource getResource()

### setResource

    public void setResource(Resource resource)

### getExistingResources

    public java.util.List getExistingResources()

### setExistingResources

    public void setExistingResources(java.util.List existingResources)

### getFolder

    public java.lang.String getFolder()

### setFolder

    public void setFolder(java.lang.String folder)

### getAllFolders

    public java.util.List getAllFolders()

### setAllFolders

    public void setAllFolders(java.util.List allFolders)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.